CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

SegmentPerPolyline Property (ActiveX)

2023-1-3 06:42| 发布者: admin| 查看: 188| 评论: 0|来自: AutoCAD

摘要: 指定要为每个折线曲线生成的线段数。

指定要为每个折线曲线生成的线段数。

支持的平台:仅窗口

签名

工 务 局:

object.SegmentPerPolyline
对象

类型:数据库首选项

此属性适用的对象。

属性值

只读:

类型:

要为每个折线曲线生成的线段数。

0 < <= 42950 SegmentPerPolyline

言论

初始值为 8。指定的数字越大,对性能的影响就越大。

注意:此属性的值存储在 SPLINESEGS 系统变量中。

例子

工 务 局:

Sub Example_SegmentPerPolyline()
    ' This example returns the current setting of
    ' SegmentPerPolyline. It then changes the value, and finally
    ' it resets the value back to the original setting.
    
    Dim currSegmentPerPolyline As Integer
    Dim newSegmentPerPolyline As Integer
    
    ' Retrieve the current SegmentPerPolyline value
    currSegmentPerPolyline = ThisDrawing.preferences.SegmentPerPolyline
    MsgBox "The current value for SegmentPerPolyline is " & currSegmentPerPolyline, vbInformation, "SegmentPerPolyline Example"
    
    ' Change the value for SegmentPerPolyline
    newSegmentPerPolyline = 2001
    ThisDrawing.preferences.SegmentPerPolyline = newSegmentPerPolyline
    MsgBox "The new value for SegmentPerPolyline is " & newSegmentPerPolyline, vbInformation, "SegmentPerPolyline Example"
    
    ' Reset SegmentPerPolyline to its original value
    ThisDrawing.preferences.SegmentPerPolyline = currSegmentPerPolyline
    MsgBox "The SegmentPerPolyline value is reset to " & currSegmentPerPolyline, vbInformation, "SegmentPerPolyline Example"
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_SegmentPerPolyline()
    ;; This example returns the current setting of
    ;; SegmentPerPolyline. It then changes the value, and finally
    ;; it resets the value back to the original setting.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
    (setq preferences (vla-get-Preferences doc))
    
    ;; Retrieve the current SegmentPerPolyline value
    (setq currSegmentPerPolyline (vla-get-SegmentPerPolyline preferences))
    (alert (strcat "The current value for SegmentPerPolyline is " (itoa currSegmentPerPolyline)))
    
    ;; Change the value for SegmentPerPolyline
    (setq newSegmentPerPolyline 2001)
    (vla-put-SegmentPerPolyline preferences newSegmentPerPolyline)
    (alert (strcat "The new value for SegmentPerPolyline is " (itoa newSegmentPerPolyline)))
    
    ;; Reset SegmentPerPolyline to its original value
    (vla-put-SegmentPerPolyline preferences currSegmentPerPolyline)
    (alert (strcat "The SegmentPerPolyline value is reset to " (itoa currSegmentPerPolyline)))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 00:13

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部